* {
  box-sizing: border-box !important;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

html,
body {
  position: relative;
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  min-height: 100%;
}

.root {
  position: relative;
  background: #f5f5f5;
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: row;
  align-items: stretch;
  justify-content: flex-end;
}

.background {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: left top;
  -webkit-user-drag: none;
  -khtml-user-drag: none;
  -moz-user-drag: none;
  -o-user-drag: none;
}

.content {
  position: relative;
  z-index: 20;
  height: auto;
  min-width: 366px;
  align-self: center;
  background: #f5f5f5;
  box-shadow: 0 4px 24px rgb(0 0 0 / 25%);
  border-radius: 16px;
  margin-right: 48px;
  padding-bottom: 24px;
}

.bg-qrcode {
  width: 100%;
  aspect-ratio: 1 / 1;
  background: #ffffff;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}

.div__qrcode {
  display: flex;
}

.portal__outer {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 8px;
}

.portal__inner {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.honor__btns {
  display: flex;
}

.outside {
  justify-content: center;
}

.xinli-service-btn {
  display: flex;
}

.download__outside {
  display: gird;
}

.download__btn {
  display: none;
}

@media only screen and (max-width: 960px) {
  .root {
    flex-direction: column;
    justify-content: flex-start;
  }
}

.banner-h5 {
  display: none;
  position: relative;
  height: auto;
  object-fit: contain;
}

.banner-web {
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: left top;
  -webkit-user-drag: none;
  -khtml-user-drag: none;
  -moz-user-drag: none;
  -o-user-drag: none;
}

@media only screen and (max-width: 960px) {
  .banner-h5 {
    display: block;
  }

  .banner-web {
    display: none;
  }
}

@media only screen and (max-width: 960px) {
  .root {
    flex-direction: column;
    justify-content: flex-start;
  }
  .background {
    position: relative;
    height: auto;
    object-fit: contain;
  }
  .banner-h5 {
    position: relative;
    height: auto;
    object-fit: contain;
  }
  .banner-web {
    position: relative;
    height: auto;
    object-fit: contain;
  }
  .content {
    align-self: stretch;
    min-width: 100%;
    border-radius: 0px;
    margin-right: 0px;
    box-shadow: none;
    padding-bottom: 0;
  }
  .div__qrcode {
    display: none;
  }
  .portal__outer {
    display: block;
  }
  .portal__inner {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 8px;
  }
  .honor__btns {
    display: none;
  }
  .outside {
    justify-content: flex-start;
  }
  .xinli-service-btn {
    display: none;
  }
  .download__btn {
    display: flex;
    background: #995749;
    border-radius: 8px;
  }
}

.text-primary {
  color: #071f44;
}

.btn-transparent {
  cursor: pointer;
}

.xinli-qrcode-text {
  color: red;
  font-weight: 700;
}

@media (hover: hover) {
  .btn-transparent:hover {
    border-radius: 64px;
    background-color: rgba(7, 31, 68, 0.1);
  }
}

.tooltip {
  position: relative;
  display: inline-block;
}

.tooltip .tooltiptext {
  position: absolute;
  z-index: 10;
  top: 100%;
  left: 0;
  max-width: 100%;
  word-break: break-all;
  visibility: hidden;
  background-color: rgba(7, 31, 68, 0.8);
  color: #fff;
  padding: 4px 12px;
  border-radius: 6px;
  margin-top: 5px;
  font-size: 0.875rem;
  line-height: 1.25rem;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
}

.tooltip .tooltiptext::after {
  content: " ";
  position: absolute;
  bottom: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent transparent rgba(7, 31, 68, 0.8) transparent;
}

.btn-recommend {
  position: relative;
  z-index: 30;
  cursor: pointer;
  background: linear-gradient(100.44deg, #d13333 36.44%, #ff7033 98.21%);
  box-shadow: 0 4px 8px rgb(218 52 52 / 20%);
  border-radius: 8px;
  display: grid;
  align-items: center;
  grid-template-columns: auto 1fr auto;
}

.btn-honor-recommend {
  position: relative;
  z-index: 30;
  cursor: pointer;
  background: linear-gradient(100.44deg, #2d2d2d, #b8b8b8);
  box-shadow: 0 4px 8px rgb(218 52 52 / 20%);
  border-radius: 8px;
  display: grid;
  align-items: center;
  grid-template-columns: auto 1fr auto;
}

@media (hover: hover) {
  .btn-recommend:hover {
    filter: contrast(70%);
  }
}

.btn-portal {
  position: relative;
  z-index: 30;
  cursor: pointer;
  background-color: #ffffff;
  border-radius: 4px;
  border: none;
  display: grid;
  align-items: center;
  grid-template-columns: auto 1fr auto;
}

@media (hover: hover) {
  .btn-portal:hover {
    filter: contrast(70%);
  }
}

.filter-black-spinner {
  filter: contrast(0%);
}

.brand-icon {
  width: 44px;
  height: 44px;
}

.arrow-icon {
  width: 26px;
  height: 26px;
}

.div__brand {
  min-width: 57px;
}
